alexmacarthur/typeit 软件分析报告

基础信息

项目名称:alexmacarthur/typeit

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1715638795584012288/1715638796611616768

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
http-cache-semantics 安全漏洞 ReDoS MPS-2022-5164 CVE-2022-25881 高危
node-semver 安全漏洞 ReDoS MPS-2022-5166 CVE-2022-25883 高危
Tauri 原型污染漏洞 原型污染 MPS-2022-65568 CVE-2022-46175 高危
ejs 存在服务端模板注入漏洞 注入 MPS-2023-10199 CVE-2023-29827 严重

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
ejs 3.1.8 间接依赖 建议修复
json5 1.0.1 2.2.2 间接依赖 建议修复
semver 7.3.8 7.5.2 间接依赖 可选修复
http-cache-semantics 4.1.0 4.1.1 间接依赖 可选修复

许可证风险

许可证类型 相关组件 许可证风险
MIT 365
ISC 102
BSD-2-Clause 9
Apache-2.0 11
BSD-3-Clause 4
CC-BY-3.0 1
Python-2.0 1
CC0-1.0 1
0BSD 1
BSD 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
rfdc 1.3.0 间接依赖 npm
trim-newlines 3.0.1 间接依赖 npm
decamelize-keys 1.1.1 间接依赖 npm
through2 4.0.2 间接依赖 npm
read-package-json-fast 2.0.3 间接依赖 npm
write-pkg 4.0.0 间接依赖 npm
https-proxy-agent 5.0.1 间接依赖 npm
depd 1.1.2 间接依赖 npm
yargs-parser 20.2.4 间接依赖 npm
function-bind 1.1.1 间接依赖 npm
minipass-flush 1.0.5 间接依赖 npm
pkg-dir 4.2.0 间接依赖 npm
JSONStream 1.3.5 间接依赖 npm
dateformat 3.0.3 间接依赖 npm
resolve-cwd 3.0.0 间接依赖 npm
is-typedarray 1.0.0 间接依赖 npm
get-stream 6.0.1 间接依赖 npm
parse-conflict-json 2.0.2 间接依赖 npm
listr2 5.0.6 间接依赖 npm
conventional-commits-parser 3.2.4 间接依赖 npm
@lerna/create-symlink 6.1.0 间接依赖 npm
@yarnpkg/lockfile 1.1.0 间接依赖 npm
fill-range 7.0.1 间接依赖 npm
estraverse 5.3.0 间接依赖 npm
@zkochan/js-yaml 0.0.6 间接依赖 npm
readdir-scoped-modules 1.1.0 间接依赖 npm
pify 5.0.0 间接依赖 npm
@isaacs/string-locale-compare 1.1.0 间接依赖 npm
minimist 1.2.7 间接依赖 npm
@lerna/rimraf-dir 6.1.0 间接依赖 npm
chokidar 3.5.3 间接依赖 npm
fastq 1.14.0 间接依赖 npm
astral-regex 2.0.0 直接依赖 npm
parse-json 5.2.0 间接依赖 npm
@lerna/query-graph 6.1.0 间接依赖 npm
resolve 1.22.1 直接依赖 npm
aproba 2.0.0 间接依赖 npm
tmp 0.0.33 间接依赖 npm
fsevents 2.3.2 间接依赖 npm
fs-extra 9.1.0 间接依赖 npm
agentkeepalive 4.2.1 间接依赖 npm
duplexer 0.1.2 间接依赖 npm
ms 2.1.2 间接依赖 npm
envinfo 7.8.1 间接依赖 npm
minizlib 2.1.2 间接依赖 npm
string-argv 0.3.1 间接依赖 npm
typedarray 0.0.6 间接依赖 npm
slice-ansi 5.0.0 间接依赖 npm
yallist 4.0.0 间接依赖 npm
uuid 8.3.2 间接依赖 npm
byte-size 7.0.1 间接依赖 npm
lint-staged 13.1.0 直接依赖 npm
jsonc-parser 3.2.0 间接依赖 npm
execa 5.1.1 间接依赖 npm
@nodelib/fs.stat 2.0.5 间接依赖 npm
ci-info 2.0.0 间接依赖 npm
picomatch 2.3.1 间接依赖 npm
concat-stream 2.0.0 间接依赖 npm
minimist-options 4.1.0 间接依赖 npm
mkdirp 1.0.4 间接依赖 npm
import-fresh 3.3.0 间接依赖 npm
promise-retry 2.0.1 间接依赖 npm
safer-buffer 2.1.2 间接依赖 npm
strip-ansi 6.0.1 间接依赖 npm
slash 3.0.0 间接依赖 npm
jsonfile 6.1.0 间接依赖 npm
@lerna/package 6.1.0 间接依赖 npm
log-update 4.0.0 间接依赖 npm
p-pipe 3.1.0 间接依赖 npm
micromatch 4.0.5 间接依赖 npm
webidl-conversions 3.0.1 间接依赖 npm
cli-spinners 2.6.1 间接依赖 npm
npm-install-checks 5.0.0 间接依赖 npm
find-up 4.1.0 间接依赖 npm
p-finally 1.0.0 间接依赖 npm
is-extglob 2.1.1 间接依赖 npm
@octokit/auth-token 3.0.2 间接依赖 npm
node-addon-api 3.2.1 间接依赖 npm
supports-preserve-symlinks-flag 1.0.0 间接依赖 npm
clean-stack 2.2.0 间接依赖 npm
through 2.3.8 间接依赖 npm
split2 3.2.2 间接依赖 npm
run-parallel 1.2.0 间接依赖 npm
binary-extensions 2.2.0 间接依赖 npm
json-stringify-nice 1.1.4 间接依赖 npm
tr46 0.0.3 间接依赖 npm
is-lambda 1.0.1 间接依赖 npm
asynckit 0.4.0 间接依赖 npm
@lerna/symlink-dependencies 6.1.0 间接依赖 npm
@hutson/parse-repository-url 3.0.2 间接依赖 npm
define-lazy-prop 2.0.0 间接依赖 npm
@babel/code-frame 7.18.6 间接依赖 npm
inherits 2.0.4 间接依赖 npm
@lerna/create 6.1.0 间接依赖 npm
is-core-module 2.11.0 间接依赖 npm
esquery 1.4.0 间接依赖 npm
indent-string 4.0.0 间接依赖 npm
pacote 13.6.2 间接依赖 npm
@npmcli/name-from-folder 1.0.1 间接依赖 npm
bin-links 3.0.3 间接依赖 npm
@npmcli/installed-package-contents 1.0.7 间接依赖 npm
@lerna/get-npm-exec-opts 6.1.0 间接依赖 npm
compare-func 2.0.0 间接依赖 npm
proxy-from-env 1.1.0 间接依赖 npm
just-diff 5.1.1 间接依赖 npm
read 1.0.7 间接依赖 npm
defaults 1.0.4 间接依赖 npm
strong-log-transformer 2.1.0 间接依赖 npm
@npmcli/metavuln-calculator 3.1.1 间接依赖 npm
@types/minimist 1.2.2 间接依赖 npm
http-cache-semantics 4.1.0 间接依赖 npm
fs-minipass 2.1.0 间接依赖 npm
@octokit/types 8.0.0 间接依赖 npm
read-cmd-shim 3.0.1 间接依赖 npm
log-symbols 4.1.0 间接依赖 npm
path-is-absolute 1.0.1 直接依赖 npm
negotiator 0.6.3 间接依赖 npm
env-paths 2.2.1 间接依赖 npm
jsonparse 1.3.1 间接依赖 npm
@lerna/publish 6.1.0 间接依赖 npm
string_decoder 1.3.0 间接依赖 npm
wcwidth 1.0.1 间接依赖 npm
@lerna/npm-publish 6.1.0 间接依赖 npm
@nrwl/cli 15.3.3 间接依赖 npm
arrify 1.0.1 间接依赖 npm
unique-filename 2.0.1 间接依赖 npm
merge-stream 2.0.0 间接依赖 npm
ansi-escapes 4.3.2 间接依赖 npm
@lerna/gitlab-client 6.1.0 间接依赖 npm
@npmcli/map-workspaces 2.0.4 间接依赖 npm
eventemitter3 4.0.7 间接依赖 npm
@lerna/describe-ref 6.1.0 间接依赖 npm
lilconfig 2.0.6 间接依赖 npm
@lerna/conventional-commits 6.1.0 间接依赖 npm
meow 8.1.2 间接依赖 npm
@lerna/prompt 6.1.0 间接依赖 npm
tar-stream 2.2.0 间接依赖 npm
async 3.2.4 间接依赖 npm
@types/json5 0.0.29 间接依赖 npm
figures 3.2.0 间接依赖 npm
@lerna/prerelease-id-from-version 6.1.0 间接依赖 npm
cliui 7.0.4 间接依赖 npm
cli-cursor 3.1.0 间接依赖 npm
graceful-fs 4.2.10 间接依赖 npm
reusify 1.0.4 间接依赖 npm
array-ify 1.0.0 间接依赖 npm
json5 1.0.1 间接依赖 npm
string-width 4.2.3 间接依赖 npm
colorette 2.0.19 间接依赖 npm
@lerna/package-graph 6.1.0 间接依赖 npm
promise-inflight 1.0.1 间接依赖 npm
spdx-expression-parse 3.0.1 间接依赖 npm
@octokit/rest 19.0.5 间接依赖 npm
glob-parent 5.1.2 间接依赖 npm
delegates 1.0.0 间接依赖 npm
anymatch 3.1.3 间接依赖 npm
color-support 1.1.3 间接依赖 npm
modify-values 1.0.1 间接依赖 npm
mute-stream 0.0.8 间接依赖 npm
p-map 4.0.0 间接依赖 npm
@lerna/profiler 6.1.0 间接依赖 npm
concat-map 0.0.1 间接依赖 npm
nopt 5.0.0 间接依赖 npm
minipass 3.3.6 间接依赖 npm
imurmurhash 0.1.4 间接依赖 npm
fs-constants 1.0.0 间接依赖 npm
is-stream 2.0.1 间接依赖 npm
run-async 2.4.1 间接依赖 npm
parent-module 1.0.1 间接依赖 npm
@lerna/check-working-tree 6.1.0 间接依赖 npm
base64-js 1.5.1 间接依赖 npm
path-exists 4.0.0 间接依赖 npm
just-diff-apply 5.4.1 间接依赖 npm
dot-prop 6.0.1 间接依赖 npm
validate-npm-package-license 3.0.4 间接依赖 npm
is-ci 2.0.0 间接依赖 npm
git-semver-tags 4.1.1 间接依赖 npm
is-fullwidth-code-point 3.0.0 间接依赖 npm
@nrwl/tao 15.3.3 间接依赖 npm
spdx-exceptions 2.3.0 间接依赖 npm
cli-truncate 3.1.0 间接依赖 npm
@phenomnomnominal/tsquery 4.1.1 间接依赖 npm
npm-registry-fetch 13.3.1 间接依赖 npm
@octokit/plugin-rest-endpoint-methods 6.7.0 间接依赖 npm
ssri 9.0.1 间接依赖 npm
@lerna/output 6.1.0 间接依赖 npm
npmlog 6.0.2 间接依赖 npm
p-reduce 2.1.0 间接依赖 npm
parse-url 8.1.0 间接依赖 npm
filelist 1.0.4 间接依赖 npm
ansi-styles 4.3.0 间接依赖 npm
sprintf-js 1.0.3 直接依赖 npm
pidtree 0.6.0 间接依赖 npm
combined-stream 1.0.8 间接依赖 npm
@lerna/run 6.1.0 间接依赖 npm
cli-width 3.0.0 间接依赖 npm
isexe 2.0.0 间接依赖 npm
iconv-lite 0.4.24 间接依赖 npm
multimatch 5.0.0 间接依赖 npm
conventional-changelog-core 4.2.4 间接依赖 npm
set-blocking 2.0.0 间接依赖 npm
readable-stream 3.6.0 间接依赖 npm
@lerna/import 6.1.0 间接依赖 npm
wide-align 1.1.5 间接依赖 npm
split 1.0.1 间接依赖 npm
unique-slug 3.0.0 间接依赖 npm
safe-buffer 5.2.1 间接依赖 npm
mkdirp-infer-owner 2.0.0 间接依赖 npm
prettier 2.8.1 直接依赖 npm
is-obj 2.0.0 间接依赖 npm
@lerna/info 6.1.0 间接依赖 npm
@octokit/plugin-enterprise-rest 6.0.1 间接依赖 npm
asap 2.0.6 间接依赖 npm
mimic-fn 2.1.0 间接依赖 npm
tar 6.1.13 间接依赖 npm
semver 7.3.8 间接依赖 npm
@lerna/has-npm-version 6.1.0 间接依赖 npm
@types/normalize-package-data 2.4.1 直接依赖 npm
is-unicode-supported 0.1.0 间接依赖 npm
rxjs 7.6.0 间接依赖 npm
@lerna/npm-install 6.1.0 间接依赖 npm
is-docker 2.2.1 间接依赖 npm
globby 11.1.0 间接依赖 npm
p-queue 6.6.2 间接依赖 npm
fs.realpath 1.0.0 间接依赖 npm
retry 0.12.0 间接依赖 npm
conventional-changelog-writer 5.0.1 间接依赖 npm
@lerna/listable 6.1.0 间接依赖 npm
@lerna/clean 6.1.0 间接依赖 npm
@types/parse-json 4.0.0 间接依赖 npm
is-text-path 1.0.1 间接依赖 npm
upath 2.0.1 间接依赖 npm
minipass-sized 1.0.3 间接依赖 npm
wrap-ansi 7.0.0 间接依赖 npm
infer-owner 1.0.4 间接依赖 npm
is-arrayish 0.2.1 间接依赖 npm
typedarray-to-buffer 3.1.5 直接依赖 npm
@lerna/temp-write 6.1.0 间接依赖 npm
@nodelib/fs.scandir 2.1.5 间接依赖 npm
@npmcli/package-json 2.0.0 间接依赖 npm
buffer-from 1.1.2 间接依赖 npm
@lerna/list 6.1.0 间接依赖 npm
@octokit/request-error 3.0.2 间接依赖 npm
jake 10.8.5 间接依赖 npm
@octokit/plugin-request-log 1.0.4 间接依赖 npm
strip-bom 4.0.0 间接依赖 npm
@lerna/run-topologically 6.1.0 间接依赖 npm
wrappy 1.0.2 间接依赖 npm
@lerna/pack-directory 6.1.0 间接依赖 npm
json-stringify-safe 5.0.1 间接依赖 npm
npm-pick-manifest 7.0.2 间接依赖 npm
has-flag 4.0.0 间接依赖 npm
socks-proxy-agent 7.0.0 间接依赖 npm
@lerna/add 6.1.0 间接依赖 npm
get-pkg-repo 4.2.1 间接依赖 npm
lines-and-columns 1.2.4 间接依赖 npm
redent 3.0.0 间接依赖 npm
@lerna/bootstrap 6.1.0 间接依赖 npm
node-gyp 9.3.0 间接依赖 npm
yaml 1.10.2 间接依赖 npm
@lerna/child-process 6.1.0 间接依赖 npm
signal-exit 3.0.7 间接依赖 npm
is-number 7.0.0 间接依赖 npm
ignore-walk 5.0.1 间接依赖 npm
@lerna/otplease 6.1.0 间接依赖 npm
@lerna/cli 6.1.0 间接依赖 npm
@lerna/filter-options 6.1.0 间接依赖 npm
argparse 2.0.1 间接依赖 npm
universalify 2.0.0 间接依赖 npm
lru-cache 7.14.1 间接依赖 npm
ejs 3.1.8 间接依赖 npm
deprecation 2.3.1 间接依赖 npm
minipass-collect 1.0.2 间接依赖 npm
minipass-fetch 2.1.2 间接依赖 npm
emoji-regex 8.0.0 间接依赖 npm
once 1.4.0 间接依赖 npm
npm-bundled 1.1.2 间接依赖 npm
@tootallnate/once 2.0.0 间接依赖 npm
@lerna/version 6.1.0 间接依赖 npm
@lerna/npm-conf 6.1.0 间接依赖 npm
delayed-stream 1.0.0 间接依赖 npm
agent-base 6.0.2 间接依赖 npm
libnpmpublish 6.0.5 间接依赖 npm
p-map-series 2.1.0 间接依赖 npm
escalade 3.1.1 间接依赖 npm
is-ssh 1.4.0 间接依赖 npm
rimraf 3.0.2 间接依赖 npm
locate-path 5.0.0 间接依赖 npm
lodash 4.17.21 间接依赖 npm
chownr 2.0.0 间接依赖 npm
@npmcli/git 3.0.2 间接依赖 npm
@lerna/exec 6.1.0 间接依赖 npm
p-timeout 3.2.0 间接依赖 npm
@octokit/graphql 5.0.4 间接依赖 npm
sort-keys 4.2.0 间接依赖 npm
mime-types 2.1.35 间接依赖 npm
hosted-git-info 4.1.0 间接依赖 npm
axios 1.2.1 间接依赖 npm
@nodelib/fs.walk 1.2.8 间接依赖 npm
camelcase-keys 6.2.2 间接依赖 npm
spdx-license-ids 3.0.12 间接依赖 npm
readdirp 3.6.0 间接依赖 npm
git-raw-commits 2.0.11 间接依赖 npm
@octokit/plugin-paginate-rest 5.0.1 间接依赖 npm
@nrwl/devkit 15.3.3 间接依赖 npm
read-package-json 5.0.2 间接依赖 npm
chalk 4.1.2 间接依赖 npm
debuglog 1.0.1 间接依赖 npm
@lerna/timer 6.1.0 间接依赖 npm
npm-run-path 4.0.1 间接依赖 npm
proc-log 2.0.1 间接依赖 npm
lerna 6.1.0 直接依赖 npm
type-fest 0.21.3 间接依赖 npm
treeverse 2.0.0 间接依赖 npm
isarray 1.0.0 直接依赖 npm
@npmcli/arborist 5.3.0 间接依赖 npm
@lerna/resolve-symlink 6.1.0 间接依赖 npm
os-tmpdir 1.0.2 间接依赖 npm
is-glob 4.0.3 间接依赖 npm
@lerna/diff 6.1.0 间接依赖 npm
http-proxy-agent 5.0.0 间接依赖 npm
@npmcli/fs 2.1.2 间接依赖 npm
temp-dir 1.0.0 间接依赖 npm
npm-package-arg 8.1.1 间接依赖 npm
clone-deep 4.0.1 间接依赖 npm
conventional-changelog-preset-loader 2.3.4 间接依赖 npm
follow-redirects 1.15.2 间接依赖 npm
ansi-regex 5.0.1 间接依赖 npm
braces 3.0.2 间接依赖 npm
path-key 3.1.1 间接依赖 npm
read-pkg 3.0.0 间接依赖 npm
glob 8.0.3 间接依赖 npm
tsconfig-paths 3.14.1 间接依赖 npm
@lerna/init 6.1.0 间接依赖 npm
@lerna/get-packed 6.1.0 间接依赖 npm
@lerna/changed 6.1.0 间接依赖 npm
has-unicode 2.0.1 间接依赖 npm
read-pkg-up 3.0.0 间接依赖 npm
isobject 3.0.1 直接依赖 npm
validate-npm-package-name 4.0.0 间接依赖 npm
merge2 1.4.1 间接依赖 npm
builtins 5.0.1 间接依赖 npm
chardet 0.7.0 间接依赖 npm
@lerna/symlink-binary 6.1.0 间接依赖 npm
color-convert 2.0.1 间接依赖 npm
json-parse-even-better-errors 2.3.1 间接依赖 npm
ignore 5.2.1 间接依赖 npm
@lerna/collect-uncommitted 6.1.0 间接依赖 npm
npm-packlist 5.1.3 间接依赖 npm
kind-of 6.0.3 间接依赖 npm
libnpmaccess 6.0.4 间接依赖 npm
@lerna/collect-updates 6.1.0 间接依赖 npm
normalize-path 3.0.0 间接依赖 npm
abbrev 1.1.1 间接依赖 npm
is-interactive 1.0.0 间接依赖 npm
@lerna/npm-run-script 6.1.0 间接依赖 npm
init-package-json 3.0.2 间接依赖 npm
err-code 2.0.3 间接依赖 npm
columnify 1.6.0 间接依赖 npm
balanced-match 1.0.2 间接依赖 npm
restore-cursor 3.1.0 间接依赖 npm
cmd-shim 5.0.0 间接依赖 npm
detect-indent 6.1.0 间接依赖 npm
walk-up-path 1.0.0 间接依赖 npm
yargs 16.2.0 间接依赖 npm
debug 4.3.4 间接依赖 npm
bl 4.1.0 间接依赖 npm
make-fetch-happen 10.2.1 间接依赖 npm
@yarnpkg/parsers 3.0.0-rc.33 间接依赖 npm
whatwg-url 5.0.0 间接依赖 npm
has 1.0.3 间接依赖 npm
q 1.5.1 间接依赖 npm
onetime 5.1.2 间接依赖 npm
handlebars 4.7.7 间接依赖 npm
@lerna/link 6.1.0 间接依赖 npm
tslib 2.4.1 间接依赖 npm
clone 1.0.4 间接依赖 npm
dir-glob 3.0.1 间接依赖 npm
mime-db 1.52.0 间接依赖 npm
@octokit/request 6.2.2 间接依赖 npm
import-local 3.0.3 间接依赖 npm
config-chain 1.1.13 间接依赖 npm
minimatch 3.1.2 间接依赖 npm
xtend 4.0.2 直接依赖 npm
esprima 4.0.1 直接依赖 npm
@lerna/pulse-till-done 6.1.0 间接依赖 npm
@octokit/core 4.1.0 间接依赖 npm
shebang-command 2.0.0 间接依赖 npm
ora 5.4.1 间接依赖 npm
dotenv 10.0.0 间接依赖 npm
minipass-pipeline 1.2.4 间接依赖 npm
array-differ 3.0.0 间接依赖 npm
flat 5.0.2 间接依赖 npm
fast-glob 3.2.12 间接依赖 npm
make-dir 3.1.0 间接依赖 npm
aggregate-error 3.1.0 间接依赖 npm
color-name 1.1.4 间接依赖 npm
y18n 5.0.8 间接依赖 npm
get-caller-file 2.0.5 间接依赖 npm
at-least-node 1.0.0 间接依赖 npm
@gar/promisify 1.1.3 间接依赖 npm
dargs 7.0.0 间接依赖 npm
which 2.0.2 间接依赖 npm
dedent 0.7.0 间接依赖 npm
husky 8.0.2 直接依赖 npm
cross-spawn 7.0.3 间接依赖 npm
minipass-json-stream 1.0.1 间接依赖 npm
human-signals 2.1.0 间接依赖 npm
git-up 7.0.0 间接依赖 npm
core-util-is 1.0.3 直接依赖 npm
gauge 4.0.4 间接依赖 npm
nx 15.3.3 间接依赖 npm
typescript 4.9.4 间接依赖 npm
v8-compile-cache 2.3.0 间接依赖 npm
@lerna/run-lifecycle 6.1.0 间接依赖 npm
promzard 0.3.0 间接依赖 npm
git-url-parse 13.1.0 间接依赖 npm
buffer 5.7.1 间接依赖 npm
humanize-ms 1.2.1 间接依赖 npm
@lerna/global-options 6.1.0 间接依赖 npm
@lerna/log-packed 6.1.0 间接依赖 npm
array-union 2.1.0 间接依赖 npm
@npmcli/move-file 2.0.1 间接依赖 npm
ansi-colors 4.1.3 间接依赖 npm
load-json-file 6.2.0 间接依赖 npm
@lerna/write-log-file 6.1.0 间接依赖 npm
@lerna/validation-error 6.1.0 间接依赖 npm
universal-user-agent 6.0.0 间接依赖 npm
encoding 0.1.13 间接依赖 npm
commander 9.4.1 间接依赖 npm
p-waterfall 2.1.1 间接依赖 npm
form-data 4.0.0 间接依赖 npm
console-control-strings 1.1.0 间接依赖 npm
before-after-hook 2.2.3 间接依赖 npm
proto-list 1.2.4 间接依赖 npm
dezalgo 1.0.4 间接依赖 npm
conventional-recommended-bump 6.1.0 间接依赖 npm
@parcel/watcher 2.0.4 间接依赖 npm
conventional-commits-filter 2.0.7 间接依赖 npm
are-we-there-yet 3.0.1 间接依赖 npm
promise-all-reject-late 1.0.1 间接依赖 npm
open 8.4.0 间接依赖 npm
inquirer 8.2.5 间接依赖 npm
git-remote-origin-url 2.0.0 间接依赖 npm
is-plain-object 5.0.0 间接依赖 npm
path-parse 1.0.7 间接依赖 npm
ini 1.3.8 间接依赖 npm
shebang-regex 3.0.0 间接依赖 npm
lodash.ismatch 4.4.0 间接依赖 npm
write-file-atomic 4.0.2 间接依赖 npm
path-type 4.0.0 间接依赖 npm
is-plain-obj 1.1.0 间接依赖 npm
get-port 5.1.1 间接依赖 npm
is-binary-path 2.1.0 间接依赖 npm
brace-expansion 1.1.11 间接依赖 npm
normalize-package-data 3.0.3 间接依赖 npm
end-of-stream 1.4.4 间接依赖 npm
shallow-clone 3.0.1 间接依赖 npm
conventional-changelog-angular 5.0.13 间接依赖 npm
@lerna/filter-packages 6.1.0 间接依赖 npm
require-directory 2.1.1 间接依赖 npm
promise-call-limit 1.0.1 间接依赖 npm
write-json-file 4.3.0 间接依赖 npm
object-inspect 1.12.2 间接依赖 npm
resolve-from 5.0.0 间接依赖 npm
gitconfiglocal 1.0.0 间接依赖 npm
socks 2.7.1 间接依赖 npm
enquirer 2.3.6 间接依赖 npm
@npmcli/node-gyp 2.0.0 间接依赖 npm
error-ex 1.3.2 间接依赖 npm
escape-string-regexp 1.0.5 间接依赖 npm
@npmcli/run-script 4.2.1 间接依赖 npm
common-ancestor-path 1.0.1 间接依赖 npm
hard-rejection 2.1.0 间接依赖 npm
add-stream 1.0.0 间接依赖 npm
@npmcli/promise-spawn 3.0.0 间接依赖 npm
node-gyp-build 4.5.0 间接依赖 npm
@lerna/npm-dist-tag 6.1.0 间接依赖 npm
util-deprecate 1.0.2 间接依赖 npm
external-editor 3.1.0 间接依赖 npm
inflight 1.0.6 间接依赖 npm
json-parse-better-errors 1.0.2 直接依赖 npm
cosmiconfig 7.1.0 间接依赖 npm
spdx-correct 3.1.1 间接依赖 npm
supports-color 7.2.0 间接依赖 npm
to-regex-range 5.0.1 间接依赖 npm
cacache 16.1.3 间接依赖 npm
@types/minimatch 3.0.5 间接依赖 npm
is-wsl 2.2.0 间接依赖 npm
@lerna/github-client 6.1.0 间接依赖 npm
p-locate 4.1.0 间接依赖 npm
npm-normalize-package-bin 1.0.1 间接依赖 npm
@lerna/project 6.1.0 间接依赖 npm
process-nextick-args 2.0.1 直接依赖 npm
@lerna/command 6.1.0 间接依赖 npm
strip-final-newline 2.0.0 间接依赖 npm
@babel/highlight 7.18.6 间接依赖 npm
js-yaml 4.1.0 间接依赖 npm
node-fetch 2.6.7 间接依赖 npm
ieee754 1.2.1 间接依赖 npm
(0)
上一篇 2023年10月23日
下一篇 2023年10月23日

相关推荐

  • justgetmydata/jgmd 软件分析报告

    基础信息 项目名称:justgetmydata/jgmd 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1719331205295161344/1719331205509070848 此报告由Murphysec提供…

    软件分析 2023年10月31日
    0
  • graphql-editor/graphql-editor 软件分析报告

    基础信息 项目名称:graphql-editor/graphql-editor 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1718351962939637760/1718351962981580800 此报告由…

    软件分析 2023年10月29日
    0
  • Solido/awesome-flutter 软件分析报告

    基础信息 项目名称:Solido/awesome-flutter 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1757775304189157376/1757775304231100416 此报告由Murphys…

    软件分析 2024年2月14日
    0
  • ender-js/Ender 软件分析报告

    基础信息 项目名称:ender-js/Ender 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1717451930359955456/1717451931400142848 此报告由Murphysec提供 漏洞列…

    软件分析 2023年10月26日
    0
  • gab-ai-inc/gab-dissenter-extension 软件分析报告

    基础信息 项目名称:gab-ai-inc/gab-dissenter-extension 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1718020467507118080/1718020467645530112…

    软件分析 2023年10月28日
    0